Get DSS Trunk Presets by Organization
GET
Retrieve the DSS trunk presets visible to a specific organization. Requires the trunksip_view authority.
organizationId*integerOrganization identifier.
Format
int64DSS trunk presets retrieved successfully.
application/json- response
[index: integer]?curl -X GET 'https://api.eis.it/v1/voip/dss/trunk-presets/0'Example Response
[ { "id": 0, "code": "string", "label": "string", "revision": 0, "fields": [ { "key": "string", "label": "string", "type": "string", "source": "string", "resolverType": "string", "required": true, "overridable": true, "sensitive": true, "exposeOnCreate": true, "displayOrder": 0, "config": null } ], "outputs": [ { "key": "string", "label": "string", "fieldType": "string", "sensitive": true, "oneTime": true, "copyable": true, "displayOrder": 0 } ] }]Get DSS Trunk Presets GET
Retrieve the DSS trunk presets visible to the authenticated user's organization. Requires the `trunksip_view` authority.
Create a DSS Trunk from a Preset POST
Provision a DSS trunk using a visible preset and the supplied field values. Requires the `trunksip_add` authority. The response includes an `actionObject`. Use its module, organization, object type, object identifier, and context to discover and execute the runtime actions available for the new trunk.